Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.conversion.annotations
Enum ConversionRule

    java.lang.Object
      java.lang.Enum<ConversionRule>
          com.opensymphony.xwork2.conversion.annotations.ConversionRule

All Implemented Interfaces:
  Serializable, Comparable<ConversionRule>

    public enum ConversionRule

extends Enum<ConversionRule>

`ConversionRule`

Version:
  $Id: ConversionRule.java 1063 2006-07-10 00:30:29Z mrdon $
Author:
  Rainer Hermanns

Enum Constant Summary
`COLLECTION`
`CREATE_IF_NULL`
`ELEMENT`
`KEY`
`KEY_PROPERTY`
`MAP`
`PROPERTY`

Method Summary
`String` | `toString()`
`static ConversionRule` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConversionRule[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROPERTY

    public static final ConversionRule PROPERTY

### COLLECTION

    public static final ConversionRule COLLECTION

### MAP

    public static final ConversionRule MAP

### KEY

    public static final ConversionRule KEY

### KEY_PROPERTY

    public static final ConversionRule KEY_PROPERTY

### ELEMENT

    public static final ConversionRule ELEMENT

### CREATE_IF_NULL

    public static final ConversionRule CREATE_IF_NULL

Method Detail

### values

    public static final ConversionRule[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConversionRule c : ConversionRule.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConversionRule valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ConversionRule>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.